function    s_eigen = eigen_decomp(X_hat,s_1_p,n,PAMQ)
% Let the optimum solution has rank-1 condition
% approximated by principal eigenvector
% 
[U,D]=eig(X_hat);
index =  find(diag(D)==max(diag(D)));
xx_est = U(1:n-1,index)/U(n,index); % choose the largest eigenvalue corr. to eigenvector
for ss=1:n-1
           [a,b]=min(abs(xx_est(ss,1)-PAMQ));  
           s_eig(ss,1)=PAMQ(b);
end
s_eigen = [s_1_p(1,1);s_eig];